Probleme mit smart (SuSE 10.0)

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
wudelbrumpf
Newbie
Newbie
Beiträge: 6
Registriert: 14. Dez 2004, 09:16

Probleme mit smart (SuSE 10.0)

Beitrag von wudelbrumpf » 9. Dez 2005, 07:51

Moin zusammen,

ich setze nun seit einiger Zeit (neben dem bewährten
apt als Referenztool) smart als das Tool für update
und install ein (DISTRO: SuSE 10.0).

Funktionierte eigentlich auch ganz gut. Seit ein paar
Tagen aber ist mir aufgefallen, das smart bei drei
gnome Paketen (gnome-vfs2*) Versionen installieren will,
die auf dem Server bereits durch neuere ersetzt sind.
(apt findet auch bereits die neueren).

Die Channels in smart und die verwendeten repositories in
smart und apt sind identisch; das habe ich extra so
eingerichtet, damit ich die Ergebnisse vergleichen kann.

Heute nun hat apt mir u.a. einige kdeaddon* Pakete und
auch ein neues smart (aus suser-guru) aktualisieren wollen;
smart dagegen hat auch diese nicht gefunden.

Ich habe sie nun via apt installiert; aber auch die "neue"
smart Version scheint die channels nicht zu aktualisieren.
Sieht man sich im smart-gui z.B. das Paket smart an, so kennt
smart zur aktuell installierten Version (remember: gerade durch
apt installiert) keine URL.

Ich habe die mirror-policy bereits gelöscht und ein neues
"smart update" angestossen; aber immer ohne Erfolg.

Wie bringe ich dieses blöde Teil dazu, das er die aktuellen
repository Metadaten auch einliest? apt findet die schliesslich
und smart liest (eigentlich) die gleichen Daten vom Server.

Any Ideas?

Andreas

Werbung:
Benutzeravatar
Pfalzwolf
Member
Member
Beiträge: 195
Registriert: 21. Jul 2005, 12:28
Wohnort: Pfalz, nahe SP
Kontaktdaten:

Gleiche Erfahrung

Beitrag von Pfalzwolf » 9. Dez 2005, 14:34

Hi, ich habe bezüglich der Versionen eine gleiche Erfahrung und hänge mich hier mit dran, um die Info mitzubekommen.
http://www.linux-club.de/viewtopic.php?p=266425#266425
SuSE Leap 42.2|ASUS Prime X370-PRO|Ryzen 7 1700|GraKa:MSI GTX 1050 Ti|LAN: Intel I211AT Gigabit LAN | 4.4.70-18.9-default|KDE 5.8.6

mca
Hacker
Hacker
Beiträge: 351
Registriert: 10. Okt 2004, 00:27

Beitrag von mca » 10. Dez 2005, 11:31

da ist bei mir was ähnliches passiert. ich wollte auf kde-3.5 updaten mit smart, ich hab natürlich vorher die channels aktualisiert, doch beim download der pakete hat er mir gesagt, dass die grösse von zwei dateien nicht stimmen würde. ich habs mehrmals versucht. am ende gings mit ganz einfach mit synaptic. seitdem belass ich alles beim guten alten APT.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast